uk.gov.hmrc.http

# HttpPost

###
Related Doc: package http

#### trait HttpPost extends CorePost with PostHttpTransport with HttpVerb with ConnectionTracing with HttpHooks

Linear Supertypes
HttpHooks, ConnectionTracing, HttpVerb, Request, PostHttpTransport, CorePost, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpPost
2. HttpHooks
3. ConnectionTracing
4. HttpVerb
5. Request
6. PostHttpTransport
7. CorePost
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type ProcessingFunction = (Future[HttpResponse], String) ⇒ Future[HttpResponse]

   Definition Classes
     HttpVerb
   Annotations
     @deprecated
   Deprecated

     (Since version 18/03/2015) ProcessingFunction is obsolete, use the relevant HttpReads[A] instead

### Abstract Value Members

1. #### abstract def configuration: Option[Config]

   Attributes
     protected
   Definition Classes
     HttpVerb

2. #### abstract def doEmptyPost[A](url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     PostHttpTransport

3. #### abstract def doFormPost(url: String, body: Map[String, Seq[String]])(implicit hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     PostHttpTransport

4. #### abstract def doPost[A](url: String, body: A, headers: Seq[(String, String)])(implicit wts: Writes[A], hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     PostHttpTransport

5. #### abstract def doPostString(url: String, body: String, headers: Seq[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     PostHttpTransport

6. #### abstract val hooks: Seq[HttpHook]

   Definition Classes
     HttpHooks

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val NoneRequired: Seq[HttpHook]

   Definition Classes
     HttpHooks

5. #### def POST[I, O](url: String, body: I, headers: Seq[(String, String)])(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     HttpPost → CorePost

6. #### def POSTEmpty[O](url: String)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     HttpPost → CorePost

7. #### def POSTForm[O](url: String, body: Map[String, Seq[String]])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     HttpPost → CorePost

8. #### def POSTString[O](url: String, body: String, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     HttpPost → CorePost

9. #### def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]

   Definition Classes
     HttpVerb → Request

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def badGatewayMessage(verbName: String, url: String, e: Exception): String

    Definition Classes
      HttpVerb

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### lazy val connectionLogger: Logger

    Definition Classes
      ConnectionTracing

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def executeHooks(url: String, verb: String, body: Option[_], responseF: Future[HttpResponse])(implicit hc: HeaderCarrier, ec: ExecutionContext): Unit

    Attributes
      protected
    Definition Classes
      HttpHooks

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatMessage(ld: LoggingDetails, method: String, uri: String, startAge: Long, message: String): String

    Definition Classes
      ConnectionTracing

19. #### def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String

    Definition Classes
      HttpVerb

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### lazy val internalHostPatterns: Seq[Regex]

    Definition Classes
      HttpVerb

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def logResult[A](ld: LoggingDetails, method: String, uri: String, startAge: Long)(result: Try[A]): Unit

    Definition Classes
      ConnectionTracing

25. #### def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]

    Definition Classes
      HttpVerb

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### lazy val userAgentHeader: Seq[(String, String)]

    Definition Classes
      HttpVerb

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def withTracing[T](method: String, uri: String)(body: ⇒ Future[T])(implicit ld: LoggingDetails, ec: ExecutionContext): Future[T]

    Definition Classes
      ConnectionTracing

### Inherited from HttpHooks

### Inherited from ConnectionTracing

### Inherited from HttpVerb

### Inherited from Request

### Inherited from PostHttpTransport

### Inherited from CorePost

### Inherited from AnyRef

### Inherited from Any

### Ungrouped